/* Cache.c generated by valac 0.36.4, the Vala compiler
 * generated from Cache.vala, do not modify */

/*
* Copyright (c) 2013-2014 Foto Developers (http://launchpad.net/foto)
*               2015 Erasmo Marín
*               2017 elementary LLC. (http://launchpad.net/switchboard-plug-pantheon-shell)
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public
* License as published by the Free Software Foundation; either
* version 3 of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* General Public License for more details.
*
* You should have received a copy of the GNU General Public
* License along with this program; if not, write to the
* Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
* Boston, MA 02110-1301 USA
*/

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <gee.h>
#include <gdk-pixbuf/gdk-pixbuf.h>
#include <gio/gio.h>
#include <gobject/gvaluecollector.h>


#define TYPE_CACHE (cache_get_type ())
#define CACHE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_CACHE, Cache))
#define CACHE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_CACHE, CacheClass))
#define IS_CACHE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_CACHE))
#define IS_CACHE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_CACHE))
#define CACHE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_CACHE, CacheClass))

typedef struct _Cache Cache;
typedef struct _CacheClass CacheClass;
typedef struct _CachePrivate CachePrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
typedef struct _ParamSpecCache ParamSpecCache;

struct _Cache {
	GTypeInstance parent_instance;
	volatile int ref_count;
	CachePrivate * priv;
};

struct _CacheClass {
	GTypeClass parent_class;
	void (*finalize) (Cache *self);
};

struct _ParamSpecCache {
	GParamSpec parent_instance;
};


static gpointer cache_parent_class = NULL;
static gchar* cache_cache_folder;
static gchar* cache_cache_folder = NULL;
static GeeHashMap* cache_images;
static GeeHashMap* cache_images = NULL;

gpointer cache_ref (gpointer instance);
void cache_unref (gpointer instance);
GParamSpec* param_spec_cache (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
void value_set_cache (GValue* value, gpointer v_object);
void value_take_cache (GValue* value, gpointer v_object);
gpointer value_get_cache (const GValue* value);
GType cache_get_type (void) G_GNUC_CONST;
enum  {
	CACHE_DUMMY_PROPERTY
};
void cache_init (void);
static void cache_create_cache_path (const gchar* cache_path);
gboolean cache_cache_image (const gchar* uri, gint width, gint height, gint scale);
static gchar* cache_compute_key (const gchar* uri, gint scale);
static gchar* cache_get_cache_path (gint scale);
gboolean cache_cache_image_pixbuf (GdkPixbuf* pixbuf, const gchar* uri, gint scale);
gboolean cache_is_cached (const gchar* uri, gint scale);
GdkPixbuf* cache_get_cached_image (const gchar* uri, gint scale);
void cache_clear (void);
static gchar* cache_compute_key_uri (const gchar* uri);
static gchar* cache_compute_key_mod (const gchar* uri);
Cache* cache_new (void);
Cache* cache_construct (GType object_type);
static void cache_finalize (Cache * obj);


void cache_init (void) {
	GeeHashMap* _tmp0_;
	const gchar* _tmp1_;
	gchar* _tmp2_;
	const gchar* _tmp3_;
#line 31 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp0_ = gee_hash_map_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, (GDestroyNotify) g_free, gdk_pixbuf_get_type (), (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
#line 31 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_g_object_unref0 (cache_images);
#line 31 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	cache_images = _tmp0_;
#line 33 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp1_ = g_get_user_cache_dir ();
#line 33 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp2_ = g_build_path (G_DIR_SEPARATOR_S, _tmp1_, "io.elementary.switchboard.plug.pantheon-shell", NULL);
#line 33 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_g_free0 (cache_cache_folder);
#line 33 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	cache_cache_folder = _tmp2_;
#line 34 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp3_ = cache_cache_folder;
#line 34 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	cache_create_cache_path (_tmp3_);
#line 122 "Cache.c"
}


gboolean cache_cache_image (const gchar* uri, gint width, gint height, gint scale) {
	gboolean result = FALSE;
	GError * _inner_error_ = NULL;
#line 40 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	g_return_val_if_fail (uri != NULL, FALSE);
#line 131 "Cache.c"
	{
		GdkPixbuf* pixbuf = NULL;
		const gchar* _tmp0_;
		gint _tmp1_;
		gint _tmp2_;
		GdkPixbuf* _tmp3_;
		gchar* key = NULL;
		const gchar* _tmp4_;
		gint _tmp5_;
		gchar* _tmp6_;
		gchar* path = NULL;
		gint _tmp7_;
		gchar* _tmp8_;
		gchar* _tmp9_;
		const gchar* _tmp10_;
		gchar* _tmp11_;
		gchar* _tmp12_;
		const gchar* _tmp13_;
		GdkPixbuf* _tmp14_;
		const gchar* _tmp15_;
		GeeHashMap* _tmp16_;
		const gchar* _tmp17_;
		GdkPixbuf* _tmp18_;
#line 42 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp0_ = uri;
#line 42 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp1_ = width;
#line 42 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp2_ = height;
#line 42 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp3_ = gdk_pixbuf_new_from_file_at_scale (_tmp0_, _tmp1_, _tmp2_, TRUE, &_inner_error_);
#line 42 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		pixbuf = _tmp3_;
#line 42 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 167 "Cache.c"
			goto __catch0_g_error;
		}
#line 43 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp4_ = uri;
#line 43 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp5_ = scale;
#line 43 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp6_ = cache_compute_key (_tmp4_, _tmp5_);
#line 43 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		key = _tmp6_;
#line 44 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp7_ = scale;
#line 44 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp8_ = cache_get_cache_path (_tmp7_);
#line 44 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp9_ = _tmp8_;
#line 44 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp10_ = key;
#line 44 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp11_ = g_build_filename (_tmp9_, _tmp10_, NULL);
#line 44 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp12_ = _tmp11_;
#line 44 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_g_free0 (_tmp9_);
#line 44 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		path = _tmp12_;
#line 45 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp13_ = path;
#line 45 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		g_debug ("Cache.vala:45: Image cached: %s", _tmp13_);
#line 46 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp14_ = pixbuf;
#line 46 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp15_ = path;
#line 46 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		gdk_pixbuf_save (_tmp14_, _tmp15_, "png", &_inner_error_, NULL);
#line 46 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 46 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
			_g_free0 (path);
#line 46 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
			_g_free0 (key);
#line 46 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
			_g_object_unref0 (pixbuf);
#line 212 "Cache.c"
			goto __catch0_g_error;
		}
#line 47 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp16_ = cache_images;
#line 47 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp17_ = key;
#line 47 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp18_ = pixbuf;
#line 47 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		gee_abstract_map_set ((GeeAbstractMap*) _tmp16_, _tmp17_, _tmp18_);
#line 41 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_g_free0 (path);
#line 41 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_g_free0 (key);
#line 41 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_g_object_unref0 (pixbuf);
#line 229 "Cache.c"
	}
	goto __finally0;
	__catch0_g_error:
	{
		GError* err = NULL;
#line 41 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		err = _inner_error_;
#line 41 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_inner_error_ = NULL;
#line 49 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		g_warning ("Cache.vala:49: cache_image failed");
#line 50 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		result = FALSE;
#line 50 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_g_error_free0 (err);
#line 50 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		return result;
#line 247 "Cache.c"
	}
	__finally0:
#line 41 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 252 "Cache.c"
		gboolean _tmp19_ = FALSE;
#line 41 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 41 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		g_clear_error (&_inner_error_);
#line 41 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		return _tmp19_;
#line 260 "Cache.c"
	}
#line 52 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	result = TRUE;
#line 52 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	return result;
#line 266 "Cache.c"
}


gboolean cache_cache_image_pixbuf (GdkPixbuf* pixbuf, const gchar* uri, gint scale) {
	gboolean result = FALSE;
	GError * _inner_error_ = NULL;
#line 58 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	g_return_val_if_fail (pixbuf != NULL, FALSE);
#line 58 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	g_return_val_if_fail (uri != NULL, FALSE);
#line 277 "Cache.c"
	{
		gchar* key = NULL;
		const gchar* _tmp0_;
		gint _tmp1_;
		gchar* _tmp2_;
		GdkPixbuf* _tmp3_;
		gint _tmp4_;
		gchar* _tmp5_;
		gchar* _tmp6_;
		const gchar* _tmp7_;
		gchar* _tmp8_;
		gchar* _tmp9_;
		GeeHashMap* _tmp10_;
		const gchar* _tmp11_;
		GdkPixbuf* _tmp12_;
#line 60 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp0_ = uri;
#line 60 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp1_ = scale;
#line 60 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp2_ = cache_compute_key (_tmp0_, _tmp1_);
#line 60 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		key = _tmp2_;
#line 61 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp3_ = pixbuf;
#line 61 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp4_ = scale;
#line 61 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp5_ = cache_get_cache_path (_tmp4_);
#line 61 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp6_ = _tmp5_;
#line 61 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp7_ = key;
#line 61 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp8_ = g_build_filename (_tmp6_, _tmp7_, NULL);
#line 61 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp9_ = _tmp8_;
#line 61 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		gdk_pixbuf_save (_tmp3_, _tmp9_, "png", &_inner_error_, NULL);
#line 61 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_g_free0 (_tmp9_);
#line 61 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_g_free0 (_tmp6_);
#line 61 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 61 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
			_g_free0 (key);
#line 325 "Cache.c"
			goto __catch1_g_error;
		}
#line 62 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp10_ = cache_images;
#line 62 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp11_ = key;
#line 62 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp12_ = pixbuf;
#line 62 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		gee_abstract_map_set ((GeeAbstractMap*) _tmp10_, _tmp11_, _tmp12_);
#line 59 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_g_free0 (key);
#line 338 "Cache.c"
	}
	goto __finally1;
	__catch1_g_error:
	{
		GError* err = NULL;
		GError* _tmp13_;
		const gchar* _tmp14_;
#line 59 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		err = _inner_error_;
#line 59 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_inner_error_ = NULL;
#line 64 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp13_ = err;
#line 64 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp14_ = _tmp13_->message;
#line 64 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		g_print ("%s", _tmp14_);
#line 65 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		g_warning ("Cache.vala:65: cache_image_pixbuf failed");
#line 66 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		result = FALSE;
#line 66 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_g_error_free0 (err);
#line 66 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		return result;
#line 364 "Cache.c"
	}
	__finally1:
#line 59 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 369 "Cache.c"
		gboolean _tmp15_ = FALSE;
#line 59 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 59 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		g_clear_error (&_inner_error_);
#line 59 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		return _tmp15_;
#line 377 "Cache.c"
	}
#line 68 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	result = TRUE;
#line 68 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	return result;
#line 383 "Cache.c"
}


gboolean cache_is_cached (const gchar* uri, gint scale) {
	gboolean result = FALSE;
	GFile* file = NULL;
	gint _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	const gchar* _tmp3_;
	gint _tmp4_;
	gchar* _tmp5_;
	gchar* _tmp6_;
	gchar* _tmp7_;
	gchar* _tmp8_;
	GFile* _tmp9_;
	GFile* _tmp10_;
	GFile* _tmp11_;
	gboolean _tmp12_;
#line 75 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	g_return_val_if_fail (uri != NULL, FALSE);
#line 76 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp0_ = scale;
#line 76 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp1_ = cache_get_cache_path (_tmp0_);
#line 76 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp2_ = _tmp1_;
#line 76 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp3_ = uri;
#line 76 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp4_ = scale;
#line 76 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp5_ = cache_compute_key (_tmp3_, _tmp4_);
#line 76 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp6_ = _tmp5_;
#line 76 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp7_ = g_build_filename (_tmp2_, _tmp6_, NULL);
#line 76 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp8_ = _tmp7_;
#line 76 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp9_ = g_file_new_for_path (_tmp8_);
#line 76 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp10_ = _tmp9_;
#line 76 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_g_free0 (_tmp8_);
#line 76 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_g_free0 (_tmp6_);
#line 76 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_g_free0 (_tmp2_);
#line 76 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	file = _tmp10_;
#line 77 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp11_ = file;
#line 77 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp12_ = g_file_query_exists (_tmp11_, NULL);
#line 77 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	if (!_tmp12_) {
#line 78 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		result = FALSE;
#line 78 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_g_object_unref0 (file);
#line 78 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		return result;
#line 447 "Cache.c"
	}
#line 79 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	result = TRUE;
#line 79 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_g_object_unref0 (file);
#line 79 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	return result;
#line 455 "Cache.c"
}


GdkPixbuf* cache_get_cached_image (const gchar* uri, gint scale) {
	GdkPixbuf* result = NULL;
	gchar* computed_key = NULL;
	const gchar* _tmp0_;
	gint _tmp1_;
	gchar* _tmp2_;
	GeeHashMap* _tmp3_;
	const gchar* _tmp4_;
	gboolean _tmp5_;
	GdkPixbuf* pixbuf = NULL;
	GeeHashMap* _tmp19_;
	const gchar* _tmp20_;
	GdkPixbuf* _tmp21_;
	GError * _inner_error_ = NULL;
#line 85 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	g_return_val_if_fail (uri != NULL, NULL);
#line 86 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp0_ = uri;
#line 86 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp1_ = scale;
#line 86 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp2_ = cache_compute_key (_tmp0_, _tmp1_);
#line 86 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	computed_key = _tmp2_;
#line 87 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp3_ = cache_images;
#line 87 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp4_ = computed_key;
#line 87 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp5_ = gee_abstract_map_has_key ((GeeAbstractMap*) _tmp3_, _tmp4_);
#line 87 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	if (_tmp5_) {
#line 491 "Cache.c"
		GeeHashMap* _tmp6_;
		const gchar* _tmp7_;
		gpointer _tmp8_;
#line 88 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp6_ = cache_images;
#line 88 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp7_ = computed_key;
#line 88 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp8_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp6_, _tmp7_);
#line 88 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		result = (GdkPixbuf*) _tmp8_;
#line 88 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_g_free0 (computed_key);
#line 88 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		return result;
#line 507 "Cache.c"
	}
#line 90 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	pixbuf = NULL;
#line 511 "Cache.c"
	{
		GdkPixbuf* _tmp9_ = NULL;
		gint _tmp10_;
		gchar* _tmp11_;
		gchar* _tmp12_;
		const gchar* _tmp13_;
		gchar* _tmp14_;
		gchar* _tmp15_;
		GdkPixbuf* _tmp16_;
		GdkPixbuf* _tmp17_;
		GdkPixbuf* _tmp18_;
#line 92 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp10_ = scale;
#line 92 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp11_ = cache_get_cache_path (_tmp10_);
#line 92 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp12_ = _tmp11_;
#line 92 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp13_ = computed_key;
#line 92 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp14_ = g_build_filename (_tmp12_, _tmp13_, NULL);
#line 92 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp15_ = _tmp14_;
#line 92 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp16_ = gdk_pixbuf_new_from_file (_tmp15_, &_inner_error_);
#line 92 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp17_ = _tmp16_;
#line 92 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_g_free0 (_tmp15_);
#line 92 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_g_free0 (_tmp12_);
#line 92 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp9_ = _tmp17_;
#line 92 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 547 "Cache.c"
			goto __catch2_g_error;
		}
#line 92 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp18_ = _tmp9_;
#line 92 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp9_ = NULL;
#line 92 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_g_object_unref0 (pixbuf);
#line 92 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		pixbuf = _tmp18_;
#line 91 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_g_object_unref0 (_tmp9_);
#line 560 "Cache.c"
	}
	goto __finally2;
	__catch2_g_error:
	{
		GError* err = NULL;
#line 91 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		err = _inner_error_;
#line 91 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_inner_error_ = NULL;
#line 94 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		g_warning ("Cache.vala:94: get_cached_image failed");
#line 95 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		result = NULL;
#line 95 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_g_error_free0 (err);
#line 95 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_g_object_unref0 (pixbuf);
#line 95 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_g_free0 (computed_key);
#line 95 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		return result;
#line 582 "Cache.c"
	}
	__finally2:
#line 91 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 91 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_g_object_unref0 (pixbuf);
#line 91 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_g_free0 (computed_key);
#line 91 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 91 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		g_clear_error (&_inner_error_);
#line 91 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		return NULL;
#line 597 "Cache.c"
	}
#line 97 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp19_ = cache_images;
#line 97 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp20_ = computed_key;
#line 97 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp21_ = pixbuf;
#line 97 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	gee_abstract_map_set ((GeeAbstractMap*) _tmp19_, _tmp20_, _tmp21_);
#line 98 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	result = pixbuf;
#line 98 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_g_free0 (computed_key);
#line 98 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	return result;
#line 613 "Cache.c"
}


void cache_clear (void) {
	GeeHashMap* _tmp0_;
#line 102 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp0_ = cache_images;
#line 102 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	gee_abstract_map_clear ((GeeAbstractMap*) _tmp0_);
#line 623 "Cache.c"
}


static void cache_create_cache_path (const gchar* cache_path) {
	GFile* dir = NULL;
	const gchar* _tmp0_;
	GFile* _tmp1_;
	GFile* _tmp2_;
	gboolean _tmp3_;
	GError * _inner_error_ = NULL;
#line 105 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	g_return_if_fail (cache_path != NULL);
#line 106 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp0_ = cache_path;
#line 106 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp1_ = g_file_new_for_path (_tmp0_);
#line 106 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	dir = _tmp1_;
#line 108 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp2_ = dir;
#line 108 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp3_ = g_file_query_exists (_tmp2_, NULL);
#line 108 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	if (!_tmp3_) {
#line 648 "Cache.c"
		{
			GFile* _tmp4_;
			GFile* _tmp5_;
			gchar* _tmp6_;
			gchar* _tmp7_;
#line 110 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
			_tmp4_ = dir;
#line 110 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
			g_file_make_directory_with_parents (_tmp4_, NULL, &_inner_error_);
#line 110 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 660 "Cache.c"
				goto __catch3_g_error;
			}
#line 111 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
			_tmp5_ = dir;
#line 111 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
			_tmp6_ = g_file_get_path (_tmp5_);
#line 111 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
			_tmp7_ = _tmp6_;
#line 111 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
			g_debug ("Cache.vala:111: Directory '%s' created", _tmp7_);
#line 111 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
			_g_free0 (_tmp7_);
#line 673 "Cache.c"
		}
		goto __finally3;
		__catch3_g_error:
		{
			GError* e = NULL;
#line 109 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
			e = _inner_error_;
#line 109 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
			_inner_error_ = NULL;
#line 113 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
			g_error ("Cache.vala:113: Could not create caching directory.");
#line 109 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
			_g_error_free0 (e);
#line 687 "Cache.c"
		}
		__finally3:
#line 109 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 109 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
			_g_object_unref0 (dir);
#line 109 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 109 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
			g_clear_error (&_inner_error_);
#line 109 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
			return;
#line 700 "Cache.c"
		}
	}
#line 105 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_g_object_unref0 (dir);
#line 705 "Cache.c"
}


static gchar* cache_compute_key (const gchar* uri, gint scale) {
	gchar* result = NULL;
	gchar* key = NULL;
	const gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
	const gchar* _tmp5_;
	gchar* _tmp6_;
	gchar* _tmp7_;
	gchar* _tmp8_;
	gchar* _tmp9_;
	gint _tmp10_;
	gchar* _tmp11_;
	gchar* _tmp12_;
	gchar* _tmp13_;
	gchar* _tmp14_;
#line 122 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	g_return_val_if_fail (uri != NULL, NULL);
#line 123 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp0_ = uri;
#line 123 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp1_ = cache_compute_key_uri (_tmp0_);
#line 123 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp2_ = _tmp1_;
#line 123 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp3_ = g_strconcat (_tmp2_, "_", NULL);
#line 123 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp4_ = _tmp3_;
#line 123 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp5_ = uri;
#line 123 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp6_ = cache_compute_key_mod (_tmp5_);
#line 123 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp7_ = _tmp6_;
#line 123 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp8_ = g_strconcat (_tmp4_, _tmp7_, NULL);
#line 123 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp9_ = _tmp8_;
#line 123 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp10_ = scale;
#line 123 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp11_ = g_strdup_printf ("%i", _tmp10_);
#line 123 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp12_ = _tmp11_;
#line 123 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp13_ = g_strconcat (_tmp9_, _tmp12_, NULL);
#line 123 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp14_ = _tmp13_;
#line 123 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_g_free0 (_tmp12_);
#line 123 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_g_free0 (_tmp9_);
#line 123 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_g_free0 (_tmp7_);
#line 123 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_g_free0 (_tmp4_);
#line 123 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_g_free0 (_tmp2_);
#line 123 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	key = _tmp14_;
#line 124 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	result = key;
#line 124 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	return result;
#line 775 "Cache.c"
}


static gchar* cache_compute_key_uri (const gchar* uri) {
	gchar* result = NULL;
	gchar* key_uri = NULL;
	const gchar* _tmp0_;
	gchar* _tmp1_;
#line 130 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	g_return_val_if_fail (uri != NULL, NULL);
#line 131 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp0_ = uri;
#line 131 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp1_ = g_compute_checksum_for_string (G_CHECKSUM_MD5, _tmp0_, (gsize) -1);
#line 131 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	key_uri = _tmp1_;
#line 132 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	result = key_uri;
#line 132 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	return result;
#line 796 "Cache.c"
}


static gchar* cache_compute_key_mod (const gchar* uri) {
	gchar* result = NULL;
	GFile* file = NULL;
	const gchar* _tmp0_;
	GFile* _tmp1_;
	gchar* key_mod = NULL;
	gchar* _tmp2_;
	GError * _inner_error_ = NULL;
#line 138 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	g_return_val_if_fail (uri != NULL, NULL);
#line 139 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp0_ = uri;
#line 139 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp1_ = g_file_new_for_uri (_tmp0_);
#line 139 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	file = _tmp1_;
#line 140 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp2_ = g_strdup ("");
#line 140 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	key_mod = _tmp2_;
#line 820 "Cache.c"
	{
		GFileInfo* info = NULL;
		GFileInfo* _tmp3_;
		GTimeVal _tmp4_ = {0};
		glong _tmp5_;
		gchar* _tmp6_;
		gchar* _tmp7_;
		gchar* _tmp8_;
#line 143 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp3_ = g_file_query_info (file, G_FILE_ATTRIBUTE_TIME_MODIFIED, 0, NULL, &_inner_error_);
#line 143 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		info = _tmp3_;
#line 143 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 835 "Cache.c"
			goto __catch4_g_error;
		}
#line 144 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		g_file_info_get_modification_time (info, &_tmp4_);
#line 144 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp5_ = _tmp4_.tv_sec;
#line 144 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp6_ = g_strdup_printf ("%li", _tmp5_);
#line 144 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp7_ = _tmp6_;
#line 144 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp8_ = g_compute_checksum_for_string (G_CHECKSUM_MD5, _tmp7_, (gsize) -1);
#line 144 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_g_free0 (key_mod);
#line 144 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		key_mod = _tmp8_;
#line 144 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_g_free0 (_tmp7_);
#line 142 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_g_object_unref0 (info);
#line 856 "Cache.c"
	}
	goto __finally4;
	__catch4_g_error:
	{
		GError* e = NULL;
		GError* _tmp9_;
		const gchar* _tmp10_;
#line 142 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		e = _inner_error_;
#line 142 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_inner_error_ = NULL;
#line 146 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp9_ = e;
#line 146 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_tmp10_ = _tmp9_->message;
#line 146 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		g_critical ("Cache.vala:146: Failed to get modification date: %s", _tmp10_);
#line 142 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_g_error_free0 (e);
#line 876 "Cache.c"
	}
	__finally4:
#line 142 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 142 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_g_free0 (key_mod);
#line 142 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		_g_object_unref0 (file);
#line 142 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 142 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		g_clear_error (&_inner_error_);
#line 142 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		return NULL;
#line 891 "Cache.c"
	}
#line 149 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	result = key_mod;
#line 149 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_g_object_unref0 (file);
#line 149 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	return result;
#line 899 "Cache.c"
}


static gchar* cache_get_cache_path (gint scale) {
	gchar* result = NULL;
	gchar* cache_scale_folder = NULL;
	const gchar* _tmp0_;
	gint _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
	gchar* _tmp5_;
#line 153 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp0_ = cache_cache_folder;
#line 153 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp1_ = scale;
#line 153 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp2_ = g_strdup_printf ("%i", _tmp1_);
#line 153 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp3_ = _tmp2_;
#line 153 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp4_ = g_build_path (G_DIR_SEPARATOR_S, _tmp0_, _tmp3_, NULL);
#line 153 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_tmp5_ = _tmp4_;
#line 153 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	_g_free0 (_tmp3_);
#line 153 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	cache_scale_folder = _tmp5_;
#line 154 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	cache_create_cache_path (cache_scale_folder);
#line 155 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	result = cache_scale_folder;
#line 155 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	return result;
#line 934 "Cache.c"
}


Cache* cache_construct (GType object_type) {
	Cache* self = NULL;
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	self = (Cache*) g_type_create_instance (object_type);
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	return self;
#line 944 "Cache.c"
}


Cache* cache_new (void) {
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	return cache_construct (TYPE_CACHE);
#line 951 "Cache.c"
}


static void value_cache_init (GValue* value) {
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	value->data[0].v_pointer = NULL;
#line 958 "Cache.c"
}


static void value_cache_free_value (GValue* value) {
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	if (value->data[0].v_pointer) {
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		cache_unref (value->data[0].v_pointer);
#line 967 "Cache.c"
	}
}


static void value_cache_copy_value (const GValue* src_value, GValue* dest_value) {
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	if (src_value->data[0].v_pointer) {
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		dest_value->data[0].v_pointer = cache_ref (src_value->data[0].v_pointer);
#line 977 "Cache.c"
	} else {
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		dest_value->data[0].v_pointer = NULL;
#line 981 "Cache.c"
	}
}


static gpointer value_cache_peek_pointer (const GValue* value) {
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	return value->data[0].v_pointer;
#line 989 "Cache.c"
}


static gchar* value_cache_collect_value (GValue* value, guint n_collect_values, GTypeCValue* collect_values, guint collect_flags) {
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	if (collect_values[0].v_pointer) {
#line 996 "Cache.c"
		Cache * object;
		object = collect_values[0].v_pointer;
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		if (object->parent_instance.g_class == NULL) {
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
			return g_strconcat ("invalid unclassed object pointer for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 1003 "Cache.c"
		} else if (!g_value_type_compatible (G_TYPE_FROM_INSTANCE (object), G_VALUE_TYPE (value))) {
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
			return g_strconcat ("invalid object type `", g_type_name (G_TYPE_FROM_INSTANCE (object)), "' for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 1007 "Cache.c"
		}
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		value->data[0].v_pointer = cache_ref (object);
#line 1011 "Cache.c"
	} else {
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		value->data[0].v_pointer = NULL;
#line 1015 "Cache.c"
	}
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	return NULL;
#line 1019 "Cache.c"
}


static gchar* value_cache_lcopy_value (const GValue* value, guint n_collect_values, GTypeCValue* collect_values, guint collect_flags) {
	Cache ** object_p;
	object_p = collect_values[0].v_pointer;
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	if (!object_p) {
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		return g_strdup_printf ("value location for `%s' passed as NULL", G_VALUE_TYPE_NAME (value));
#line 1030 "Cache.c"
	}
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	if (!value->data[0].v_pointer) {
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		*object_p = NULL;
#line 1036 "Cache.c"
	} else if (collect_flags & G_VALUE_NOCOPY_CONTENTS) {
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		*object_p = value->data[0].v_pointer;
#line 1040 "Cache.c"
	} else {
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		*object_p = cache_ref (value->data[0].v_pointer);
#line 1044 "Cache.c"
	}
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	return NULL;
#line 1048 "Cache.c"
}


GParamSpec* param_spec_cache (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags) {
	ParamSpecCache* spec;
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	g_return_val_if_fail (g_type_is_a (object_type, TYPE_CACHE), NULL);
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	spec = g_param_spec_internal (G_TYPE_PARAM_OBJECT, name, nick, blurb, flags);
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	G_PARAM_SPEC (spec)->value_type = object_type;
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	return G_PARAM_SPEC (spec);
#line 1062 "Cache.c"
}


gpointer value_get_cache (const GValue* value) {
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	g_return_val_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_CACHE), NULL);
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	return value->data[0].v_pointer;
#line 1071 "Cache.c"
}


void value_set_cache (GValue* value, gpointer v_object) {
	Cache * old;
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_CACHE));
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	old = value->data[0].v_pointer;
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	if (v_object) {
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, TYPE_CACHE));
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		value->data[0].v_pointer = v_object;
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		cache_ref (value->data[0].v_pointer);
#line 1091 "Cache.c"
	} else {
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		value->data[0].v_pointer = NULL;
#line 1095 "Cache.c"
	}
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	if (old) {
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		cache_unref (old);
#line 1101 "Cache.c"
	}
}


void value_take_cache (GValue* value, gpointer v_object) {
	Cache * old;
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_CACHE));
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	old = value->data[0].v_pointer;
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	if (v_object) {
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, TYPE_CACHE));
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		value->data[0].v_pointer = v_object;
#line 1120 "Cache.c"
	} else {
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		value->data[0].v_pointer = NULL;
#line 1124 "Cache.c"
	}
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	if (old) {
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		cache_unref (old);
#line 1130 "Cache.c"
	}
}


static void cache_class_init (CacheClass * klass) {
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	cache_parent_class = g_type_class_peek_parent (klass);
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	((CacheClass *) klass)->finalize = cache_finalize;
#line 1140 "Cache.c"
}


static void cache_instance_init (Cache * self) {
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	self->ref_count = 1;
#line 1147 "Cache.c"
}


static void cache_finalize (Cache * obj) {
	Cache * self;
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_CACHE, Cache);
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	g_signal_handlers_destroy (self);
#line 1157 "Cache.c"
}


GType cache_get_type (void) {
	static volatile gsize cache_type_id__volatile = 0;
	if (g_once_init_enter (&cache_type_id__volatile)) {
		static const GTypeValueTable g_define_type_value_table = { value_cache_init, value_cache_free_value, value_cache_copy_value, value_cache_peek_pointer, "p", value_cache_collect_value, "p", value_cache_lcopy_value };
		static const GTypeInfo g_define_type_info = { sizeof (CacheClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) cache_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (Cache), 0, (GInstanceInitFunc) cache_instance_init, &g_define_type_value_table };
		static const GTypeFundamentalInfo g_define_type_fundamental_info = { (G_TYPE_FLAG_CLASSED | G_TYPE_FLAG_INSTANTIATABLE | G_TYPE_FLAG_DERIVABLE | G_TYPE_FLAG_DEEP_DERIVABLE) };
		GType cache_type_id;
		cache_type_id = g_type_register_fundamental (g_type_fundamental_next (), "Cache", &g_define_type_info, &g_define_type_fundamental_info, 0);
		g_once_init_leave (&cache_type_id__volatile, cache_type_id);
	}
	return cache_type_id__volatile;
}


gpointer cache_ref (gpointer instance) {
	Cache * self;
	self = instance;
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	g_atomic_int_inc (&self->ref_count);
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	return instance;
#line 1182 "Cache.c"
}


void cache_unref (gpointer instance) {
	Cache * self;
	self = instance;
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
	if (g_atomic_int_dec_and_test (&self->ref_count)) {
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		CACHE_GET_CLASS (self)->finalize (self);
#line 22 "/builddir/build/BUILD/switchboard-plug-pantheon-shell-0.2.6/src/Cache.vala"
		g_type_free_instance ((GTypeInstance *) self);
#line 1195 "Cache.c"
	}
}



